cifti::CiftiSeriesMap Class Reference
Inheritance diagram for cifti::CiftiSeriesMap:
[legend]
Collaboration diagram for cifti::CiftiSeriesMap:
[legend]

## Public Types

enum | Unit { HERTZ , METER , RADIAN , SECOND }
Public Types inherited from cifti::CiftiMappingType
enum | MappingType { BRAIN_MODELS , PARCELS , SERIES , SCALARS , LABELS }

## Public Member Functions

float | getStart () const
float | getStep () const
Unit | getUnit () const
| CiftiSeriesMap (const int64_t &length, const float &start=0.0f, const float &step=1.0f, const Unit &unit=SECOND)
void | setStart (const float &start)
void | setStep (const float &step)
void | setUnit (const Unit &unit)
void | setLength (const int64_t &length)
CiftiMappingType * | clone () const
MappingType | getType () const
int64_t | getLength () const
bool | operator== (const CiftiMappingType &rhs) const
bool | approximateMatch (const CiftiMappingType &rhs, AString *explanation=NULL) const
void | readXML1 (XmlReader &xml)
void | readXML2 (XmlReader &xml)
void | writeXML1 (XmlWriter &xml) const
void | writeXML2 (XmlWriter &xml) const
Public Member Functions inherited from cifti::CiftiMappingType
bool | operator!= (const CiftiMappingType &rhs) const

## Static Public Member Functions

static Unit | stringToUnit (const AString &string, bool &ok)
static AString | unitToString (const Unit &theUnit)
static std::vector< Unit > | getAllUnits ()
Static Public Member Functions inherited from cifti::CiftiMappingType
static AString | mappingTypeToName (const MappingType &type)

## Member Function Documentation

## approximateMatch()

bool cifti::CiftiSeriesMap::approximateMatch | ( | const CiftiMappingType & | rhs,
|  | AString * | explanation = NULL ) const

inline virtual

Implements cifti::CiftiMappingType.

## clone()

CiftiMappingType * cifti::CiftiSeriesMap::clone | ( |  | ) | const

inline virtual

Implements cifti::CiftiMappingType.

## getLength()

int64_t cifti::CiftiSeriesMap::getLength | ( |  | ) | const

inline virtual

Implements cifti::CiftiMappingType.

## getType()

MappingType cifti::CiftiSeriesMap::getType | ( |  | ) | const

inline virtual

Implements cifti::CiftiMappingType.

## operator==()

bool cifti::CiftiSeriesMap::operator== | ( | const CiftiMappingType & | rhs | ) | const

inline virtual

Implements cifti::CiftiMappingType.

## readXML1()

void CiftiSeriesMap::readXML1 | ( | XmlReader & | xml | ) |

virtual

Implements cifti::CiftiMappingType.

## readXML2()

void CiftiSeriesMap::readXML2 | ( | XmlReader & | xml | ) |

virtual

Implements cifti::CiftiMappingType.

## writeXML1()

void CiftiSeriesMap::writeXML1 | ( | XmlWriter & | xml | ) | const

virtual

Implements cifti::CiftiMappingType.

## writeXML2()

void CiftiSeriesMap::writeXML2 | ( | XmlWriter & | xml | ) | const

virtual

Implements cifti::CiftiMappingType.

The documentation for this class was generated from the following files:

- CiftiSeriesMap.h
- CiftiSeriesMap.cxx